%{

/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */
  
#include <string.h>
#include "simple_y.h"

extern int line ;
  
extern "C" {
  int yywrap() ;
  int yyparse() ;
}

%}

IDENT           [a-zA-Z_][a-zA-Z_0-9]*
INT             [0-9][0-9]*

%%

[ \t]		;

[\n]            {line++;}

^#.*\n           {line++;}

create		{return CREATE;}

delete		{return DELETE;}

modify		{return MODIFY;}

verify		{return VERIFY;}

verify_delete	{return VERIFY_DELETE;}

verify_all	{return VERIFY_ALL;}

commit		{return COMMIT;}

abort		{return ABORT;}

icommit	        {return INTERRUPT_COMMIT;}

iabort		{return INTERRUPT_ABORT;}

connect         {return CONNECT;}

disconnect      {return DISCONNECT;}

connect         {return CONNECT;}

launch_servers  {return LAUNCH_SERVERS;}

stop_servers    {return STOP_SERVERS;}

sleep           {return SLEEP;}

{INT}           {
		  yylval.value = atoi((char*)yytext);
		  return INT;
                }

{IDENT}		{
		  strcpy(yylval.text, (char*)yytext);
		  return IDENT;
		}

%%

